# riscv::register::fcsr - Rust
Floating-point control and status register
Keywords: rust, rustlang, rust-lang, fcsr

# Module riscv::register::fcsr

source · [−]
Expand description

Floating-point control and status register

## Structs

FCSR

Floating-point control and status register

Flags

Accrued Exception Flags

## Enums

Flag

Accrued Exception Flag

RoundingMode

Rounding Mode

## Functions

clear_flag ⚠

Resets `fflags` field bit

clear_flags ⚠

Resets `fflags` field bits

read

Reads the CSR

set_rounding_mode ⚠

Writes the CSR